<?xml version="1.0" encoding="utf-8" standalone="no"?>
<problem revision="54" short-name="asynchronous-execution" url="https://polygon.codeforces.com/p2gF6z2/tourist/asynchronous-execution">
    <names>
        <name language="english" value="Asynchronous Processor"/>
    </names>
    <statements>
        <statement charset="UTF-8" language="english" mathjax="true" path="statements/english/problem.tex" type="application/x-tex"/>
        <statement charset="UTF-8" language="english" mathjax="true" path="statements/.html/english/problem.html" type="text/html"/>
        <statement language="english" path="statements/.pdf/english/problem.pdf" type="application/pdf"/>
    </statements>
    <tutorials>
        <tutorial charset="UTF-8" language="english" mathjax="true" path="statements/english/tutorial.tex" type="application/x-tex"/>
        <tutorial language="english" path="statements/.pdf/english/tutorial.pdf" type="application/pdf"/>
    </tutorials>
    <judging cpu-name="Intel(R) Core(TM) i3-8100 CPU @ 3.60GHz" cpu-speed="3600" input-file="" output-file="" run-count="1">
        <testset name="tests">
            <time-limit>2000</time-limit>
            <memory-limit>1073741824</memory-limit>
            <test-count>72</test-count>
            <input-path-pattern>tests/%02d</input-path-pattern>
            <answer-path-pattern>tests/%02d.a</answer-path-pattern>
            <tests>
                <test method="manual" sample="true"/>
                <test method="manual" sample="true"/>
                <test cmd="gen1 1 500 500 0" method="generated"/>
                <test cmd="gen1 2 500 500 0" method="generated"/>
                <test cmd="gen1 5 500 500 0" method="generated"/>
                <test cmd="gen1 5 500 500 1" method="generated"/>
                <test cmd="gen1 20 700 700 0" method="generated"/>
                <test cmd="gen1 50 700 300 0" method="generated"/>
                <test cmd="gen1 100 700 300 0" method="generated"/>
                <test cmd="gen1 100 950 900 0" method="generated"/>
                <test cmd="gen1 100 1000 1000 0" method="generated"/>
                <test cmd="gen1 100 1000 0 0" method="generated"/>
                <test cmd="gen1 100 500 500 0" method="generated"/>
                <test cmd="gen1 2000 700 300 0" method="generated"/>
                <test cmd="gen1 2000 950 900 0" method="generated"/>
                <test cmd="gen1 2000 1000 1000 0" method="generated"/>
                <test cmd="gen1 2000 1000 0 0" method="generated"/>
                <test cmd="gen1 2000 500 500 0" method="generated"/>
                <test cmd="gen2 2000 500 500 0" method="generated"/>
                <test cmd="gen2 2000 1000 1000 0" method="generated"/>
                <test cmd="gen2 2000 700 900 0" method="generated"/>
                <test cmd="gen2 2000 700 300 0" method="generated"/>
                <test cmd="gen2 2000 950 900 0" method="generated"/>
                <test cmd="gen1 9 500 500 0" method="generated"/>
                <test cmd="gen1 9 500 500 1" method="generated"/>
                <test cmd="gen1 9 500 500 2" method="generated"/>
                <test cmd="gen1 9 500 500 3" method="generated"/>
                <test cmd="gen1 9 500 500 4" method="generated"/>
                <test cmd="gen1 9 500 500 5" method="generated"/>
                <test cmd="gen1 9 500 500 6" method="generated"/>
                <test cmd="gen1 9 500 500 7" method="generated"/>
                <test cmd="gen1 9 500 500 8" method="generated"/>
                <test cmd="gen1 9 500 500 9" method="generated"/>
                <test cmd="gen1 9 500 500 10" method="generated"/>
                <test cmd="gen1 9 500 500 11" method="generated"/>
                <test cmd="gen1 9 500 500 12" method="generated"/>
                <test cmd="gen1 9 500 500 13" method="generated"/>
                <test cmd="gen3 2000 500 500 0" method="generated"/>
                <test cmd="gen3 2000 1000 1000 0" method="generated"/>
                <test cmd="gen3 2000 700 900 0" method="generated"/>
                <test cmd="gen3 2000 700 300 0" method="generated"/>
                <test cmd="gen3 2000 950 900 0" method="generated"/>
                <test cmd="gen2 2000 1000 0 2" method="generated"/>
                <test cmd="gen3 2000 1000 0 2" method="generated"/>
                <test cmd="gen3 2000 998 1 0" method="generated"/>
                <test cmd="gen3 2000 998 1 1" method="generated"/>
                <test cmd="gen3 2000 998 1 2" method="generated"/>
                <test cmd="gen3 2000 998 1 3" method="generated"/>
                <test cmd="gen3 2000 998 1 4" method="generated"/>
                <test cmd="gen3 2000 998 1 5" method="generated"/>
                <test cmd="gen3 2000 998 1 6" method="generated"/>
                <test cmd="gen4 2000 10 1" method="generated"/>
                <test cmd="gen4 2000 2 1" method="generated"/>
                <test cmd="gen4 2000 1 1" method="generated"/>
                <test cmd="gen4 2000 500 1" method="generated"/>
                <test cmd="gen5 2000 10 1" method="generated"/>
                <test cmd="gen5 2000 2 1" method="generated"/>
                <test cmd="gen5 2000 250 1" method="generated"/>
                <test cmd="gen6 2000 12 1" method="generated"/>
                <test cmd="gen6 2000 1 1" method="generated"/>
                <test cmd="gen7 2000 1 1 1 0" method="generated"/>
                <test cmd="gen7 2000 1 1 1 1" method="generated"/>
                <test cmd="gen7 2000 2 1 1 0" method="generated"/>
                <test cmd="gen7 2000 2 1 1 1" method="generated"/>
                <test cmd="gen8 2000 500 -1 0 0" method="generated"/>
                <test cmd="gen8 2000 500 -1 0 50" method="generated"/>
                <test cmd="gen8 2000 500 0 0 50" method="generated"/>
                <test cmd="gen8 2000 500 0 1 50" method="generated"/>
                <test cmd="gen8 2000 500 1000 0 50" method="generated"/>
                <test cmd="gen8 2000 500 1000 1 50" method="generated"/>
                <test cmd="gen8 2000 500 1999 0 50" method="generated"/>
                <test cmd="gen8 2000 500 1999 1 50" method="generated"/>
            </tests>
        </testset>
    </judging>
    <files>
        <resources>
            <file path="files/olymp.sty"/>
            <file path="files/problem.tex"/>
            <file path="files/statements.ftl"/>
            <file path="files/testlib.h" type="h.g++"/>
            <file path="files/tutorial.tex"/>
        </resources>
        <executables>
            <executable>
                <source path="files/gen1.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/gen1.exe" type="exe.win32"/>
            </executable>
            <executable>
                <source path="files/gen2.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/gen2.exe" type="exe.win32"/>
            </executable>
            <executable>
                <source path="files/gen3.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/gen3.exe" type="exe.win32"/>
            </executable>
            <executable>
                <source path="files/gen4.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/gen4.exe" type="exe.win32"/>
            </executable>
            <executable>
                <source path="files/gen5.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/gen5.exe" type="exe.win32"/>
            </executable>
            <executable>
                <source path="files/gen6.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/gen6.exe" type="exe.win32"/>
            </executable>
            <executable>
                <source path="files/gen7.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/gen7.exe" type="exe.win32"/>
            </executable>
            <executable>
                <source path="files/gen8.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/gen8.exe" type="exe.win32"/>
            </executable>
            <executable>
                <source path="files/validator.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/validator.exe" type="exe.win32"/>
            </executable>
        </executables>
    </files>
    <assets>
        <checker name="std::ncmp.cpp" type="testlib">
            <source path="files/check.cpp" type="cpp.g++17"/>
            <binary path="check.exe" type="exe.win32"/>
            <copy path="check.cpp"/>
            <testset>
                <test-count>0</test-count>
                <input-path-pattern>files/tests/checker-tests/%02d</input-path-pattern>
                <output-path-pattern>files/tests/checker-tests/%02d.o</output-path-pattern>
                <answer-path-pattern>files/tests/checker-tests/%02d.a</answer-path-pattern>
                <tests/>
            </testset>
        </checker>
        <validators>
            <validator>
                <source path="files/validator.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/validator.exe" type="exe.win32"/>
                <testset>
                    <test-count>6</test-count>
                    <input-path-pattern>files/tests/validator-tests/%02d</input-path-pattern>
                    <tests>
                        <test verdict="valid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                    </tests>
                </testset>
            </validator>
        </validators>
        <solutions>
            <solution tag="rejected">
                <source path="solutions/347939459_ksun48_wa8.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/347939459_ksun48_wa8.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/347943925_ksun48_ok.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/347943925_ksun48_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="time-limit-exceeded">
                <source path="solutions/348054473__LeMur__ok.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/348054473__LeMur__ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/348062152_shade34_SomethingNew_goncharovmike_ok.cpp" type="cpp.gcc13-64-winlibs-g++20"/>
                <binary path="solutions/348062152_shade34_SomethingNew_goncharovmike_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="rejected">
                <source path="solutions/348110821_RomkaRS_wa7.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/348110821_RomkaRS_wa7.exe" type="exe.win32"/>
            </solution>
            <solution tag="rejected">
                <source path="solutions/348113798_RomkaRS_wa8.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/348113798_RomkaRS_wa8.exe" type="exe.win32"/>
            </solution>
            <solution tag="time-limit-exceeded">
                <source path="solutions/348114832_Karuk_BLOBVISGOD_jeroenodb_ok.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/348114832_Karuk_BLOBVISGOD_jeroenodb_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="rejected">
                <source path="solutions/348117132_RomkaRS_wa8.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/348117132_RomkaRS_wa8.exe" type="exe.win32"/>
            </solution>
            <solution tag="time-limit-exceeded-or-accepted">
                <source path="solutions/348118235_RomkaRS_ok.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/348118235_RomkaRS_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="time-limit-exceeded-or-accepted">
                <source path="solutions/348118548_RomkaRS_ok.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/348118548_RomkaRS_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="time-limit-exceeded">
                <source path="solutions/348136714_RomkaRS_tl43.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/348136714_RomkaRS_tl43.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/348138534_RomkaRS_ok.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/348138534_RomkaRS_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/348139846_RomkaRS_ok.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/348139846_RomkaRS_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/348150350_Stanislau_Karabutsa_alex.dobleaga_ok.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/348150350_Stanislau_Karabutsa_alex.dobleaga_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/348160943_jeroenodb_ok.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/348160943_jeroenodb_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="time-limit-exceeded">
                <source path="solutions/348245364__LeMur__ok.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/348245364__LeMur__ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/348275902__LeMur__ok.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/348275902__LeMur__ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="wrong-answer">
                <source path="solutions/bred1.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/bred1.exe" type="exe.win32"/>
            </solution>
            <solution tag="wrong-answer">
                <source path="solutions/bred2.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/bred2.exe" type="exe.win32"/>
            </solution>
            <solution tag="rejected">
                <source path="solutions/bred3.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/bred3.exe" type="exe.win32"/>
            </solution>
            <solution tag="wrong-answer">
                <source path="solutions/final_bred.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/final_bred.exe" type="exe.win32"/>
            </solution>
            <solution tag="time-limit-exceeded-or-accepted">
                <source path="solutions/n2v.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/n2v.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/n2v64.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/n2v64.exe" type="exe.win32"/>
            </solution>
            <solution tag="main">
                <source path="solutions/n2v64new.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/n2v64new.exe" type="exe.win32"/>
            </solution>
            <solution tag="time-limit-exceeded">
                <source path="solutions/n3v64.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/n3v64.exe" type="exe.win32"/>
            </solution>
            <solution tag="time-limit-exceeded">
                <source path="solutions/n3v64pragmasbreak.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/n3v64pragmasbreak.exe" type="exe.win32"/>
            </solution>
            <solution tag="time-limit-exceeded">
                <source path="solutions/stupid.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/stupid.exe" type="exe.win32"/>
            </solution>
            <solution tag="wrong-answer">
                <source path="solutions/tourist-lowN.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/tourist-lowN.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/tourist.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/tourist.exe" type="exe.win32"/>
            </solution>
        </solutions>
    </assets>
    <properties>
        <property name="tests-wellformed" value="true"/>
    </properties>
    <stresses>
        <stress-count>0</stress-count>
        <stress-path-pattern>stresses/%03d</stress-path-pattern>
        <list/>
    </stresses>
    <tags>
        <tag value="dp"/>
    </tags>
</problem>
